# SPDX-FileCopyrightText: © 2021 Josef Hahn
# SPDX-License-Identifier: AGPL-3.0-only

import base64

import lawwendatest


def test_previewer_for_image_files():
    fs = lawwendatest.MockFilesystem()
    f = fs.rootnode.child_by_name("foo.png")
    f.write_file(base64.b64decode(
        b"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAIAAACQd1PeAAAAD0lEQVQIHQEEAPv/AP///wX+Av4DfRnGAAAAAElFTkSuQmCC"))
    assert f.has_preview
    assert f.has_thumbnail
    assert f.preview_html
    assert f.thumbnail()


def test_previewer_for_video_files():
    fs = lawwendatest.MockFilesystem()
    f = fs.rootnode.child_by_name("foo.mkv")
    f.write_file(base64.b64decode(b""))
    assert f.has_preview
    assert f.has_thumbnail
    assert f.preview_html


def test_no_previewer_for_unknown_files():
    fs = lawwendatest.MockFilesystem()
    f = fs.rootnode.child_by_name("foo.exe")
    f.write_file(b"MZ...This program cannot run in DOS mode...")  # scnr; the content does not matter
    assert not f.has_preview
    assert not f.has_thumbnail
